# RPM specfile for nautilus2 module
# Generated Sat Jan 25 07:41:41 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.214 2003/01/21 05:44:22 thunder Exp $

%define nam	nautilus2
%define ver	2.2.0.1.0.200301250412
%define ximrev	1

Name:     	nautilus2
Version: 	2.2.0.1.0.200301250412
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

Source0:	nautilus-2.2.0.1.tar.gz
Summary:	file manager and graphical shell being
Group:		User Interface/Desktop
Requires:	ORBit2 >= 2.3.102
Requires:	glib2 >= 1.3.12
Requires:	gtk2 >= 1.3.12
Requires:	libxml2 >= 2.4.12
Requires:	GConf2 >= 1.1.6
Requires:	bonobo-activation >= 0.9.3
Requires:	gnome-vfs2 >= 1.9.4
Requires:	freetype >= 2.0.3
Requires:	libbonoboui >= 1.109.1
Requires:	eel2 >= 1.1.1
Provides:	nautilus = %{PACKAGE_VERSION}
Provides:	ximian-nautilus2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	nautilus-suggested
Obsoletes:	nautilus
Prereq:	scrollkeeper
Prereq:	GConf2

%description
Nautilus is an open-source file manager and graphical shell being
developed by Eazel, Inc. and others. It is part of the GNOME project, and its
source code can be found in the GNOME CVS repository. Nautilus is still in
the early stages of development. It will become an integral part of the
GNOME desktop environment when it is finished.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
/usr/bin/*
/usr/libexec/*
/usr/lib/*.so.*
/usr/lib/bonobo/*so
/usr/share/applications/*.desktop
/usr/share/gnome-2.0/ui/*.xml
/usr/share/nautilus
/usr/*/locale/*/LC_MESSAGES/*
/usr/share/pixmaps/nautilus
/usr/lib/bonobo/servers/*
/etc/X11/starthere
/etc/X11/serverconfig/.directory
/etc/X11/sysconfig/.directory
%config(noreplace) /etc/gconf/schemas/*


%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/apps_nautilus_preferences.schemas

%package -n nautilus2-devel
Summary:	Libraries and include files for developing Nautilus components
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	ORBit2-devel
Requires:	glib2-devel
Requires:	gtk2-devel
Requires:	libxml2-devel
Requires:	GConf2-devel
Requires:	bonobo-activation-devel
Requires:	gnome-vfs2-devel
Requires:	freetype-devel
Requires:	libbonoboui-devel
Requires:	eel2-devel
Provides:	nautilus-devel = %{PACKAGE_VERSION}
Provides:	ximian-nautilus2-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	nautilus-devel

%description -n nautilus2-devel
This package provides the necessary development libraries and include
files to allow you to develop Nautilus components.

%files -n nautilus2-devel
%defattr(-, root, root)
/usr/include/*
/usr/share/idl/nautilus*.idl
/usr/lib/pkgconfig/*.pc
/usr/lib/*.so


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n nautilus-2.2.0.1
    ;;
all)
%setup  -q -n nautilus-2.2.0.1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --disable-more-warnings
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ${MAKE} install DESTDIR=$DESTDIR
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Sat Jan 25 2003 Ximian, Inc.

- Version: 2.2.0.1.0.200301250412-0.snap.ximian.1
- Summary: New build.
- New automated build.

